Debian Bug report logs - #665832
gnuplot: Crashes with "Segmentation fault" on every command

version graph

Package: gnuplot; Maintainer for gnuplot is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for gnuplot is src:gnuplot.

Reported by: Damien Desfontaines <ddfontaines@gmail.com>

Date: Mon, 26 Mar 2012 13:42:02 UTC

Severity: grave

Tags: fixed-upstream

Merged with 665432

Found in version gnuplot/4.6.0-1

Fixed in version gnuplot/4.6.0-2

Done: Anton Gladky <gladky.anton@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://sourceforge.net/tracker/?func=detail&aid=3524063&group_id=2055&atid=102055

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Mon, 26 Mar 2012 13:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Damien Desfontaines <ddfontaines@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 26 Mar 2012 13:42:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damien Desfontaines <ddfontaines@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnuplot: Crashes with "Segmentation fault" on every command
Date: Mon, 26 Mar 2012 15:39:09 +0200
Package: gnuplot
Version: 4.6.0-1
Severity: grave
Justification: renders package unusable

Hi,

gnuplot crashes on every command, returning a "Segmentation fault" error
(well, actually, on my french system, it's "Erreur de segmentation"). For
example :

me@E3PO:~$ gnuplot

	G N U P L O T
	Version 4.6 patchlevel 0    last modified 2012-03-04 
	Build System: Linux x86_64

	Copyright (C) 1986-1993, 1998, 2004, 2007-2012
	Thomas Williams, Colin Kelley and many others

Terminal type set to 'wxt'
gnuplot> help 
Erreur de segmentation
me@E3PO:~$


It has been exactly the same with any command I tried : help FAQ, plot
sin(x), set xlabel 'foo', etc.

I have no idea where it could come from. I would be glad to give you any
detail you may ask for.

Best regards,

Damien


*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these lines ***


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-1
ii  gnuplot-x11  4.6.0-1

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Mon, 26 Mar 2012 16:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 26 Mar 2012 16:21:05 GMT) Full text and rfc822 format available.

Message #10 received at 665832@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Damien Desfontaines <ddfontaines@gmail.com>, 665832@bugs.debian.org
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Mon, 26 Mar 2012 18:18:56 +0200
On Mon, Mar 26, 2012 at 03:39:09PM +0200, Damien Desfontaines wrote:
> Package: gnuplot
> Version: 4.6.0-1
> Severity: grave
> Justification: renders package unusable
> 
> Hi,
> 
> gnuplot crashes on every command, returning a "Segmentation fault" error
> (well, actually, on my french system, it's "Erreur de segmentation"). For
> example :
> 
> me@E3PO:~$ gnuplot
> 
> 	G N U P L O T
> 	Version 4.6 patchlevel 0    last modified 2012-03-04 
> 	Build System: Linux x86_64
> 
> 	Copyright (C) 1986-1993, 1998, 2004, 2007-2012
> 	Thomas Williams, Colin Kelley and many others
> 
> Terminal type set to 'wxt'
> gnuplot> help 
> Erreur de segmentation
> me@E3PO:~$
> 
> 
> It has been exactly the same with any command I tried : help FAQ, plot
> sin(x), set xlabel 'foo', etc.

Hi, Damien

> Architecture: i386 (x86_64)

I see you use x86_64 (should it say amd64 instead of i386?). 

I cannot reproduce this in my i386 box, where new gnuplot mostly works
(still get a segfault sometimes, see #665432 gnuplot: using stdin makes
gnuplot crash).

If you have a box with a different arch, does this happen there?

Thanks for your feedback,

Regards,

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Mon, 26 Mar 2012 18:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 26 Mar 2012 18:48:06 GMT) Full text and rfc822 format available.

Message #15 received at 665832@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Agustin Martin <agmartin@debian.org>
Cc: Damien Desfontaines <ddfontaines@gmail.com>, 665832@bugs.debian.org
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Mon, 26 Mar 2012 20:43:48 +0200
I confirm the bug on i386.

=================
gnuplot

	G N U P L O T
	Version 4.6 patchlevel 0    last modified 2012-03-04 
	Build System: Linux i686

	Copyright (C) 1986-1993, 1998, 2004, 2007-2012
	Thomas Williams, Colin Kelley and many others

	gnuplot home:     http://www.gnuplot.info
	faq, bugs, etc:   type "help FAQ"
	immediate help:   type "help"  (plot window: hit 'h')

Terminal type set to 'wxt'
gnuplot> help
Segmentation fault

=================

valgrind --leak-check=full gnuplot
==3293== Memcheck, a memory error detector
==3293== Copyright (C) 2002-2011, and GNU GPL'd, by Julian Seward et al.
==3293== Using Valgrind-3.7.0 and LibVEX; rerun with -h for copyright 
info
==3293== Command: gnuplot
==3293== 

	G N U P L O T
	Version 4.6 patchlevel 0    last modified 2012-03-04 
	Build System: Linux i686

	Copyright (C) 1986-1993, 1998, 2004, 2007-2012
	Thomas Williams, Colin Kelley and many others

	gnuplot home:     http://www.gnuplot.info
	faq, bugs, etc:   type "help FAQ"
	immediate help:   type "help"  (plot window: hit 'h')

Terminal type set to 'wxt'
==3293== Warning: ignored attempt to set SIGSTOP handler in sigaction();
==3293==          the SIGSTOP signal is uncatchable
gnuplot> help
==3293== Invalid read of size 4
==3293==    at 0x8062FD8: ??? (in /usr/bin/gnuplot)
==3293==    by 0x4979E45: (below main) (libc-start.c:228)
==3293==  Address 0x0 is not stack'd, malloc'd or (recently) free'd
==3293== 
==3293== 
==3293== Process terminating with default action of signal 11 (SIGSEGV)
==3293==  Access not within mapped region at address 0x0
==3293==    at 0x8062FD8: ??? (in /usr/bin/gnuplot)
==3293==    by 0x4979E45: (below main) (libc-start.c:228)
==3293==  If you believe this happened as a result of a stack
==3293==  overflow in your program's main thread (unlikely but
==3293==  possible), you can try to increase the size of the
==3293==  main thread stack using the --main-stacksize= flag.
==3293==  The main thread stack size used in this run was 8388608.
==3293== 
==3293== HEAP SUMMARY:
==3293==     in use at exit: 106,392 bytes in 1,007 blocks
==3293==   total heap usage: 1,206 allocs, 199 frees, 133,788 bytes 
allocated
==3293== 
==3293== 92 bytes in 1 blocks are possibly lost in loss record 708 of 
832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x44E45EB: wxStringBase::AllocBuffer(unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E4683: wxStringBase::InitWith(wchar_t const*, 
unsigned int, unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x448EFB8: ??? (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x400DF81: call_init (dl-init.c:85)
==3293==    by 0x400E058: _dl_init (dl-init.c:134)
==3293==    by 0x400087E: ??? (in /lib/i386-linux-gnu/ld-2.13.so)
==3293== 
==3293== 92 bytes in 1 blocks are possibly lost in loss record 709 of 
832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x44E494B: wxStringBase::Alloc(unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E49C9: wxStringBase::append(unsigned int, wchar_t) 
(in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E4A64: wxStringBase::wxStringBase(unsigned int, 
wchar_t) (in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x448EFF4: ??? (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x400DF81: call_init (dl-init.c:85)
==3293==    by 0x400E058: _dl_init (dl-init.c:134)
==3293==    by 0x400087E: ??? (in /lib/i386-linux-gnu/ld-2.13.so)
==3293== 
==3293== 92 bytes in 1 blocks are possibly lost in loss record 710 of 
832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x44E45EB: wxStringBase::AllocBuffer(unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E47F0: wxStringBase::AllocBeforeWrite(unsigned int) 
(in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E57B1: wxStringBase::AssignCopy(unsigned int, 
wchar_t const*) (in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E587F: wxStringBase::operator=(wchar_t const*) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x4209BEC: ??? (in 
/usr/lib/i386-linux-gnu/libwx_gtk2u_core-2.8.so.0.8.0)
==3293==    by 0x400DF81: call_init (dl-init.c:85)
==3293==    by 0x400E058: _dl_init (dl-init.c:134)
==3293==    by 0x400087E: ??? (in /lib/i386-linux-gnu/ld-2.13.so)
==3293== 
==3293== 92 bytes in 1 blocks are possibly lost in loss record 711 of 
832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x44E45EB: wxStringBase::AllocBuffer(unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E47F0: wxStringBase::AllocBeforeWrite(unsigned int) 
(in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E57B1: wxStringBase::AssignCopy(unsigned int, 
wchar_t const*) (in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E587F: wxStringBase::operator=(wchar_t const*) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x4209C08: ??? (in 
/usr/lib/i386-linux-gnu/libwx_gtk2u_core-2.8.so.0.8.0)
==3293==    by 0x400DF81: call_init (dl-init.c:85)
==3293==    by 0x400E058: _dl_init (dl-init.c:134)
==3293==    by 0x400087E: ??? (in /lib/i386-linux-gnu/ld-2.13.so)
==3293== 
==3293== 156 bytes in 1 blocks are possibly lost in loss record 775 of 
832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x44E45EB: wxStringBase::AllocBuffer(unsigned int) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E47F0: wxStringBase::AllocBeforeWrite(unsigned int) 
(in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E57B1: wxStringBase::AssignCopy(unsigned int, 
wchar_t const*) (in /usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x44E587F: wxStringBase::operator=(wchar_t const*) (in 
/usr/lib/i386-linux-gnu/libwx_baseu-2.8.so.0.8.0)
==3293==    by 0x4209BD7: ??? (in 
/usr/lib/i386-linux-gnu/libwx_gtk2u_core-2.8.so.0.8.0)
==3293==    by 0x400DF81: call_init (dl-init.c:85)
==3293==    by 0x400E058: _dl_init (dl-init.c:134)
==3293==    by 0x400087E: ??? (in /lib/i386-linux-gnu/ld-2.13.so)
==3293== 
==3293== 160 (40 direct, 120 indirect) bytes in 1 blocks are definitely 
lost in loss record 776 of 832
==3293==    at 0x4026208: malloc (in 
/usr/lib/valgrind/vgpreload_memcheck-x86-linux.so)
==3293==    by 0x4A43EA3: nss_parse_service_list (nsswitch.c:626)
==3293==    by 0x4A445D4: __nss_database_lookup (nsswitch.c:167)
==3293==    by 0x5C70DAB: ???
==3293==    by 0x5C719BC: ???
==3293==    by 0x49FCEA4: getpwuid_r@@GLIBC_2.1.2 (getXXbyYY_r.c:256)
==3293==    by 0x405C8CA: ??? (in 
/usr/lib/i386-linux-gnu/libedit.so.2.11)
==3293==    by 0x40534BA: tilde_expand (in 
/usr/lib/i386-linux-gnu/libedit.so.2.11)
==3293==    by 0x4979E45: (below main) (libc-start.c:228)
==3293== 
==3293== LEAK SUMMARY:
==3293==    definitely lost: 40 bytes in 1 blocks
==3293==    indirectly lost: 120 bytes in 10 blocks
==3293==      possibly lost: 524 bytes in 5 blocks
==3293==    still reachable: 105,708 bytes in 991 blocks
==3293==         suppressed: 0 bytes in 0 blocks
==3293== Reachable blocks (those to which a pointer was found) are not 
shown.
==3293== To see them, rerun with: --leak-check=full --show-reachable=yes
==3293== 
==3293== For counts of detected and suppressed errors, rerun with: -v
==3293== ERROR SUMMARY: 7 errors from 7 contexts (suppressed: 137 from 
10)
Segmentation fault

=================


Anton





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Tue, 27 Mar 2012 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 27 Mar 2012 11:33:08 GMT) Full text and rfc822 format available.

Message #20 received at 665832@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: Damien Desfontaines <ddfontaines@gmail.com>, 665832@bugs.debian.org
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Tue, 27 Mar 2012 13:29:46 +0200
[Message part 1 (text/plain, inline)]
On Mon, Mar 26, 2012 at 08:43:48PM +0200, Anton Gladky wrote:
> I confirm the bug on i386.
> 
> =================
> gnuplot
> 
> 	G N U P L O T
> 	Version 4.6 patchlevel 0    last modified 2012-03-04 
> 	Build System: Linux i686
> 
> 	Copyright (C) 1986-1993, 1998, 2004, 2007-2012
> 	Thomas Williams, Colin Kelley and many others
> 
> 	gnuplot home:     http://www.gnuplot.info
> 	faq, bugs, etc:   type "help FAQ"
> 	immediate help:   type "help"  (plot window: hit 'h')
> 
> Terminal type set to 'wxt'
> gnuplot> help
> Segmentation fault

Strange, I cannot reproduce it here,

Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=es_ES.ISO-8859-1, LC_CTYPE=es_ES.ISO-8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-1
ii  gnuplot-x11  4.6.0-1

I am attaching output of "ldd -v /usr/bin/gnuplot" in case it helps,

Regards,

-- 
Agustin
[gnuplot.ldd-v (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Tue, 27 Mar 2012 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Detlev Zundel <dzu@akk.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Tue, 27 Mar 2012 13:15:06 GMT) Full text and rfc822 format available.

Message #25 received at 665832@bugs.debian.org (full text, mbox):

From: Detlev Zundel <dzu@akk.org>
To: Debian Bug Tracking System <665832@bugs.debian.org>
Subject: Re: gnuplot: Crashes with "Segmentation fault" on every command
Date: Tue, 27 Mar 2012 15:11:45 +0200
Package: gnuplot
Version: 4.6.0-1
Followup-For: Bug #665832

Hi,

as an additional data point, I see exactly the same behaviour.

Cheers
  Detlev

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-1
ii  gnuplot-x11  4.6.0-1

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Wed, 28 Mar 2012 23:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 28 Mar 2012 23:27:05 GMT) Full text and rfc822 format available.

Message #30 received at 665832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Anton Gladky <gladky.anton@gmail.com>
Cc: 665432@bugs.debian.org, Agustin Martin <agmartin@debian.org>, 665832@bugs.debian.org
Subject: Re: Bug#665432: gnuplot: using stdin makes gnuplot crash
Date: Thu, 29 Mar 2012 01:22:06 +0200
On 2012-03-28 20:33:57 +0200, Anton Gladky wrote:
> Vincent, are you affected with the bug #665832?

No (FYI, my machine is an x86_64).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 00:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 00:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 665832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Anton Gladky <gladky.anton@gmail.com>, 665832@bugs.debian.org
Cc: Agustin Martin <agmartin@debian.org>, Damien Desfontaines <ddfontaines@gmail.com>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 02:26:00 +0200
On 2012-03-26 20:43:48 +0200, Anton Gladky wrote:
> I confirm the bug on i386.

I can reproduce it on my old ppc machine:

ay:~> gnuplot

        G N U P L O T
        Version 4.6 patchlevel 0    last modified 2012-03-04 
        Build System: Linux ppc

        Copyright (C) 1986-1993, 1998, 2004, 2007-2012
        Thomas Williams, Colin Kelley and many others

        gnuplot home:     http://www.gnuplot.info
        faq, bugs, etc:   type "help FAQ"
        immediate help:   type "help"  (plot window: hit 'h')

Terminal type set to 'wxt'
gnuplot> help
zsh: segmentation fault (core dumped)  gnuplot

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 12:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 12:03:03 GMT) Full text and rfc822 format available.

Message #40 received at 665832@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 665832@bugs.debian.org
Cc: Damien Desfontaines <ddfontaines@gmail.com>, Vincent Lefevre <vincent@vinc17.net>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 13:58:26 +0200
I wrote:

> > Architecture: i386 (x86_64)

> I see you use x86_64 (should it say amd64 instead of i386?).

Just noticed that this means i386 on amd64 kernel. No problem with above line.

Random behavior of this bug is highly puzzling, currently I can just
think about getting more info in case something becomes evident with
it.

Anton, which are the details of the i386 system where you reproduced
the bug (system info section of reportbug --template -b gnuplot)?
Ditto for Vincent ppc box.

For the records, I also built gnuplot 4.6 in a pbuilder squeeze chroot
and tested it under squeeze/stable. No general segfault, just the same
problem reported by Vincent in #665432. Tested both with 686 and amd64
kernels.

-- 
Agustin




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 12:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 12:42:03 GMT) Full text and rfc822 format available.

Message #45 received at 665832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Agustin Martin <agmartin@debian.org>
Cc: 665832@bugs.debian.org, Damien Desfontaines <ddfontaines@gmail.com>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 14:39:34 +0200
On 2012-03-29 13:58:26 +0200, Agustin Martin wrote:
> Anton, which are the details of the i386 system where you reproduced
> the bug (system info section of reportbug --template -b gnuplot)?
> Ditto for Vincent ppc box.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (900, 'stable'), (200, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.26-1-powerpc
Locale: LANG=POSIX, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-1
ii  gnuplot-x11  4.6.0-1

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
pn  gnuplot-doc  <none>

And concerning the dependencies of gnuplot-nox (which has the same
problem):

Versions of packages gnuplot-nox depends on:
ii  libc6          2.13-27
ii  libcairo2      1.10.2-6.2
ii  libedit2       2.11-20080614-3
ii  libgcc1        1:4.6.3-1
ii  libgd2-xpm     2.0.36~rc1~dfsg-6
ii  libglib2.0-0   2.30.2-6
ii  liblua5.1-0    5.1.4-12
ii  libpango1.0-0  1.29.4-2

Versions of packages gnuplot-nox recommends:
ii  fonts-liberation [ttf-liberation]  1.07.2-1
ii  groff                              1.21-6
ii  ttf-liberation                     1.07.2-1

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 14:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 14:51:06 GMT) Full text and rfc822 format available.

Message #50 received at 665832@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Anton Gladky <gladky.anton@gmail.com>, 665832@bugs.debian.org
Cc: Agustin Martin <agmartin@debian.org>, Damien Desfontaines <ddfontaines@gmail.com>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 16:47:36 +0200
On 2012-03-29 02:26:00 +0200, Vincent Lefevre wrote:
> ay:~> gnuplot
> 
>         G N U P L O T
>         Version 4.6 patchlevel 0    last modified 2012-03-04 
>         Build System: Linux ppc
> 
>         Copyright (C) 1986-1993, 1998, 2004, 2007-2012
>         Thomas Williams, Colin Kelley and many others
> 
>         gnuplot home:     http://www.gnuplot.info
>         faq, bugs, etc:   type "help FAQ"
>         immediate help:   type "help"  (plot window: hit 'h')
> 
> Terminal type set to 'wxt'
> gnuplot> help
> zsh: segmentation fault (core dumped)  gnuplot

But when run inside gdb, it does not crash!

There must be something different, because in gdb, I don't get the
information before the prompt.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 17:09:06 GMT) Full text and rfc822 format available.

Message #55 received at 665832@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Agustin Martin <agmartin@debian.org>, 665832@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>, Damien Desfontaines <ddfontaines@gmail.com>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 19:04:23 +0200
On 03/29/2012 01:58 PM, Agustin Martin wrote:
> ...
> 
> Anton, which are the details of the i386 system where you reproduced
> the bug (system info section of reportbug --template -b gnuplot)?

reportbug --template -b gnuplot
...
...
-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-486
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnuplot depends on:
ii  gnuplot-nox  4.6.0-1
ii  gnuplot-x11  4.6.0-1

gnuplot recommends no packages.

Versions of packages gnuplot suggests:
ii  gnuplot-doc  4.6.0-1

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Thu, 29 Mar 2012 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 29 Mar 2012 18:33:03 GMT) Full text and rfc822 format available.

Message #60 received at 665832@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: Agustin Martin <agmartin@debian.org>, 665832@bugs.debian.org
Cc: Vincent Lefevre <vincent@vinc17.net>, Damien Desfontaines <ddfontaines@gmail.com>
Subject: Re: Bug#665832: gnuplot: Crashes with "Segmentation fault" on every command
Date: Thu, 29 Mar 2012 20:29:49 +0200
The same situation on virtual machine:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash


Anton



Am 29. März 2012 19:04 schrieb Anton Gladky <gladky.anton@gmail.com>:
> On 03/29/2012 01:58 PM, Agustin Martin wrote:
>> ...
>>
>> Anton, which are the details of the i386 system where you reproduced
>> the bug (system info section of reportbug --template -b gnuplot)?
>
> reportbug --template -b gnuplot
> ...
> ...
> -- System Information:
> Debian Release: wheezy/sid
>  APT prefers unstable
>  APT policy: (500, 'unstable')
> Architecture: i386 (i686)
>
> Kernel: Linux 3.2.0-1-486
> Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages gnuplot depends on:
> ii  gnuplot-nox  4.6.0-1
> ii  gnuplot-x11  4.6.0-1
>
> gnuplot recommends no packages.
>
> Versions of packages gnuplot suggests:
> ii  gnuplot-doc  4.6.0-1
>
> -- no debconf information
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Fri, 30 Mar 2012 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 30 Mar 2012 19:06:04 GMT) Full text and rfc822 format available.

Message #65 received at 665832@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: control@bugs.debian.org
Cc: 665832@bugs.debian.org, 665432@bugs.debian.org
Subject: Merging
Date: Fri, 30 Mar 2012 21:02:21 +0200
[Message part 1 (text/plain, inline)]
forcemerge 665832 665432
thanks

Both bugs are having the same nature.

Anton.

[signature.asc (application/pgp-signature, attachment)]

Merged 665432 665832 Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Fri, 30 Mar 2012 19:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Fri, 30 Mar 2012 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Fri, 30 Mar 2012 19:15:03 GMT) Full text and rfc822 format available.

Message #72 received at 665832@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 665832@bugs.debian.org,control@bugs.debian.org,665832-submitter@bugs.debian.org
Subject: [817a4ec] Fix for Bug#665832 committed to git
Date: Fri, 30 Mar 2012 19:11:17 +0000
tags 665832 + pending
thanks

Hello,

     The following change has been committed for this bug by
 Anton Gladky <gladky.anton@gmail.com> on Fri, 30 Mar 2012 21:11:11 +0200.
 The fix will be in the next upload. 
=========================================================================
Fix "Segmentation fault" after entering any command. (Closes: #665832)


=========================================================================

You can check the diff of the fix at:

    ;a=commitdiff;h=817a4ec






Added tag(s) pending. Request was from Anton Gladky <gladky.anton@gmail.com> to control@bugs.debian.org. (Fri, 30 Mar 2012 19:15:05 GMT) Full text and rfc822 format available.

Message sent on to Damien Desfontaines <ddfontaines@gmail.com>:
Bug#665832. (Fri, 30 Mar 2012 19:15:08 GMT) Full text and rfc822 format available.

Reply sent to Anton Gladky <gladky.anton@gmail.com>:
You have taken responsibility. (Fri, 30 Mar 2012 23:21:09 GMT) Full text and rfc822 format available.

Notification sent to Damien Desfontaines <ddfontaines@gmail.com>:
Bug acknowledged by developer. (Fri, 30 Mar 2012 23:21:09 GMT) Full text and rfc822 format available.

Message #82 received at 665832-close@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 665832-close@bugs.debian.org
Subject: Bug#665832: fixed in gnuplot 4.6.0-2
Date: Fri, 30 Mar 2012 23:17:53 +0000
Source: gnuplot
Source-Version: 4.6.0-2

We believe that the bug you reported is fixed in the latest version of
gnuplot, which is due to be installed in the Debian FTP archive:

gnuplot-doc_4.6.0-2_all.deb
  to main/g/gnuplot/gnuplot-doc_4.6.0-2_all.deb
gnuplot-nox_4.6.0-2_amd64.deb
  to main/g/gnuplot/gnuplot-nox_4.6.0-2_amd64.deb
gnuplot-x11_4.6.0-2_amd64.deb
  to main/g/gnuplot/gnuplot-x11_4.6.0-2_amd64.deb
gnuplot_4.6.0-2.debian.tar.gz
  to main/g/gnuplot/gnuplot_4.6.0-2.debian.tar.gz
gnuplot_4.6.0-2.dsc
  to main/g/gnuplot/gnuplot_4.6.0-2.dsc
gnuplot_4.6.0-2_all.deb
  to main/g/gnuplot/gnuplot_4.6.0-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665832@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Anton Gladky <gladky.anton@gmail.com> (supplier of updated gnuplot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 31 Mar 2012 00:37:36 +0200
Source: gnuplot
Binary: gnuplot gnuplot-nox gnuplot-x11 gnuplot-doc
Architecture: source all amd64
Version: 4.6.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Anton Gladky <gladky.anton@gmail.com>
Description: 
 gnuplot    - Command-line driven interactive plotting program
 gnuplot-doc - Command-line driven interactive plotting program
 gnuplot-nox - Command-line driven interactive plotting program
 gnuplot-x11 - Command-line driven interactive plotting program
Closes: 665311 665349 665832
Changes: 
 gnuplot (4.6.0-2) unstable; urgency=low
 .
   * [033f52f] Bumped Standards-Version: 3.9.3. No changes.
   * [ec5a5cc] Enable CPPFLAGS/CXXFLAGS flags hardening.
               Thanks to Simon Ruderich. (Closes: #665311)
   * [803ad73] Compile demo-folder to get some binary-data. (Closes: #665349)
   * [4abcc8c] Simplify debian/rules. Use dh rules.
   * [2a96f2e] Do not use symbolic links between binaries.
   * [e5b0eb2] Use compat 8.
   * [1bec2ae] Remove dublicating code from debian/rules.
   * [817a4ec] Fix "Segmentation fault" after entering any command.
               (Closes: #665832)
   * [c51581b] Enable auto-tests.
Checksums-Sha1: 
 5c5138fc233b652f68238f2b790f60eef3dc112f 2412 gnuplot_4.6.0-2.dsc
 469b8a4641539ef0b812e81b02ae4ae1c8db1c90 17773 gnuplot_4.6.0-2.debian.tar.gz
 e7e29ecebf1d836bc00b197ed92de7245935005f 228808 gnuplot_4.6.0-2_all.deb
 f63469c88e3753fa2c65029e71edd4e39b664a0d 1123118 gnuplot-nox_4.6.0-2_amd64.deb
 0c39157b9360ead21208c6c6cdf111491f6ae6ae 809510 gnuplot-x11_4.6.0-2_amd64.deb
 91fde83d9f4a8da7db8ea4b0e7fee95f976e04f3 2748080 gnuplot-doc_4.6.0-2_all.deb
Checksums-Sha256: 
 918fac5e4e663e5bff1c82803923fa1d0d79f581b8ec1520f12c2a43c851202f 2412 gnuplot_4.6.0-2.dsc
 db22d253fe84a3080abcfdbfd1094f176defd24369f5c7d5a1a64dc3ee6deeb0 17773 gnuplot_4.6.0-2.debian.tar.gz
 d734ac32c7f51f6b36915915b181706a1c63dbf2fccb7f803c6ef8c0ed533b2d 228808 gnuplot_4.6.0-2_all.deb
 e2f3a46ae2d978f9aca6afde55df060e741b69baaf66ece8bd081f51d5fa8c5b 1123118 gnuplot-nox_4.6.0-2_amd64.deb
 9a826d1b47708fd02a2a1a364796d4636607efdaeedfb17770fdfe83c4fc414c 809510 gnuplot-x11_4.6.0-2_amd64.deb
 a22d51c8d6b1950ce83a0cd41d173d93ba9d157c743c3dc94c90b1d536c8d97d 2748080 gnuplot-doc_4.6.0-2_all.deb
Files: 
 53a252eff5a904cea04baae31e1fdf6c 2412 math optional gnuplot_4.6.0-2.dsc
 a7aba440832798f45c005a3df46a40fa 17773 math optional gnuplot_4.6.0-2.debian.tar.gz
 05a006488ca1ad070b9d787c0c65cf5f 228808 math optional gnuplot_4.6.0-2_all.deb
 b657e5d4f17554e0724871aa91a51af3 1123118 math optional gnuplot-nox_4.6.0-2_amd64.deb
 0101783e3975a058fa98425d6a383dae 809510 math optional gnuplot-x11_4.6.0-2_amd64.deb
 f857c862136a25080d58d02eedd026e4 2748080 doc optional gnuplot-doc_4.6.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJPdjyaAAoJENPhc4PPp/8G6ToP/1BA6VLLyK3SHpHc/NvKTpLb
nWV/OK7qP0fzftwF23o8tMqJmBSF1mxixzRqPL9OuLCJxRytqo46Yz8+sAKBPUYa
X55VXe7uLdw7W8FF34oFc1AjKgkCd1EJ61N1Os1SW91cq+vmQoNhirBxSOAzURpz
+kYsIMkcopz1rZCjxRPE+vT/jdznklw4yjY/BfdhhukudBOk75lZkPAowSNL80Ki
yX3GgqOJhTDWDJ3SdxlcDsc+eWktz9RatpCQUAUuXsIeLAZNSRlJ2+MNQJ0lPKDK
t4r2PUZLpirrP0XJZx5f6rOK79Q1SmorRxwu1HsYa4QkGsEwrpIeu5OytjhiW19Y
CEE0mGqFAGODzhtk7Lua0LS6DAFyfRe2hevT5BA7upX002YSChIeS/xSg/xkjur3
HX3kwVm5nBvWhX1coyxTAc7KlxOBDvIkl+cpY7uxM18Qv9sAB8l2lP1WqMoyvJq8
3HIY3XHaCPRo3JjFEE69n+P5Nf88SozLxAjOJ7fX/bt8vy6Bs9CrzQCya5rqFWDo
q8LHGQ0VVS8clOBsu8MFotNlF7aXN3y0Xkl2r1Escas7cQtAFrMq7Q37NbF2uou7
iE698jVENmPMGDXcpG09gL6jx3+2OcyD6yCXfC23QgsQ+nfIHxr1kaNC4dGsUGZL
bZVFiBA86Tw8TTY43DXq
=FTxc
-----END PGP SIGNATURE-----





Reply sent to Anton Gladky <gladky.anton@gmail.com>:
You have taken responsibility. (Fri, 30 Mar 2012 23:21:09 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Fri, 30 Mar 2012 23:21:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Apr 2012 07:35:46 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Agustin Martin Domingo <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:27:33 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#665832; Package gnuplot. (Mon, 07 May 2012 10:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Agustin Martin <agmartin@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 07 May 2012 10:39:20 GMT) Full text and rfc822 format available.

Message #96 received at 665832@bugs.debian.org (full text, mbox):

From: Agustin Martin <agmartin@debian.org>
To: 665432@bugs.debian.org, 665832@bugs.debian.org
Subject: Re: Bug#665432: Merging
Date: Mon, 7 May 2012 12:36:48 +0200
package   gnuplot
forwarded 665432 http://sourceforge.net/tracker/?func=detail&aid=3524063&group_id=2055&atid=102055
tag       665432 +fixed-upstream
thanks

On Fri, Mar 30, 2012 at 09:02:21PM +0200, Anton Gladky wrote:
> forcemerge 665832 665432
> thanks
> 
> Both bugs are having the same nature.

Hi Anton,

I forwarded this bug report upstream to also know his POV. While he applied
your patch he thinks this is related to yet another problem in BSD
libedit, quoting upstream:

Sender: sfeam

  If the patch fixes this problem, then it clearly must have something to
  do with use of the BSD libedit for input. Probably we should deprecate
  this anyhow, since libedit can't handle UTF-8 and has other deficiencies
  as well. Either gnu libreadline or gnuplot's own readline equivalent are
  better choices at this point. Note that in version 4.6, several
  weaknesses of the builtin readline equivalent have been removed. I don't
  think there is a good case for choosing libedit any more.

Regards,

-- 
Agustin




Set Bug forwarded-to-address to 'http://sourceforge.net/tracker/?func=detail&aid=3524063&group_id=2055&atid=102055'. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:39:36 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Agustin Martin <agmartin@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 10:39:37 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jun 2012 07:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:45:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.